<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionActionOpenQuestMenu Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/de1/a06245.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionActionOpenQuestMenu Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionActionOpenQuestMenu:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d5/de1/a06245.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aea0adb7eb9c2e32cc2f2d0c4bc2e252e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de1/a06245.html#aea0adb7eb9c2e32cc2f2d0c4bc2e252e">ExpansionActionOpenQuestMenu</a> ()</td></tr>
<tr class="separator:aea0adb7eb9c2e32cc2f2d0c4bc2e252e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8c0c26007ded7c2469234371f59ea38"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de1/a06245.html#ae8c0c26007ded7c2469234371f59ea38">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:ae8c0c26007ded7c2469234371f59ea38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39a9b4e54607fb87b1412527b9744d9c"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de1/a06245.html#a39a9b4e54607fb87b1412527b9744d9c">GetInputType</a> ()</td></tr>
<tr class="separator:a39a9b4e54607fb87b1412527b9744d9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac024168e5841d5fe929d9d25a82fd0ee"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de1/a06245.html#ac024168e5841d5fe929d9d25a82fd0ee">OnStartClient</a> (ActionData action_data)</td></tr>
<tr class="separator:ac024168e5841d5fe929d9d25a82fd0ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1113d2c05fce7ff6bc07e46fa4693e9"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de1/a06245.html#aa1113d2c05fce7ff6bc07e46fa4693e9">ActionCondition</a> (<a class="el" href="../../db/d1a/a03849.html">PlayerBase</a> player, <a class="el" href="../../da/d6d/a04713.html">ActionTarget</a> target, <a class="el" href="../../d1/df9/a03665.html">ItemBase</a> item)</td></tr>
<tr class="separator:aa1113d2c05fce7ff6bc07e46fa4693e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fb8337bd2a2ea489f82bfd9870b8f7c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de1/a06245.html#a0fb8337bd2a2ea489f82bfd9870b8f7c">OnExecuteServer</a> (ActionData action_data)</td></tr>
<tr class="separator:a0fb8337bd2a2ea489f82bfd9870b8f7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a0647d746ca00f5e09b19f9fdd681d141"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d8/d0b/a06429.html">ExpansionQuestModule</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/de1/a06245.html#a0647d746ca00f5e09b19f9fdd681d141">m_Expansion_QuestModule</a></td></tr>
<tr class="separator:a0647d746ca00f5e09b19f9fdd681d141"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d5/d63/a02123.html">ExpansionActionOpenQuestMenu.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d5/d63/a02123_source.html#l00013">13</a> of file <a class="el" href="../../d5/d63/a02123_source.html">expansionactionopenquestmenu.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aea0adb7eb9c2e32cc2f2d0c4bc2e252e" name="aea0adb7eb9c2e32cc2f2d0c4bc2e252e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea0adb7eb9c2e32cc2f2d0c4bc2e252e">&#9670;&#160;</a></span>ExpansionActionOpenQuestMenu()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionActionOpenQuestMenu::ExpansionActionOpenQuestMenu </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d63/a02123_source.html#l00017">17</a> of file <a class="el" href="../../d5/d63/a02123_source.html">expansionactionopenquestmenu.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa1113d2c05fce7ff6bc07e46fa4693e9" name="aa1113d2c05fce7ff6bc07e46fa4693e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1113d2c05fce7ff6bc07e46fa4693e9">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionActionOpenQuestMenu::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../db/d1a/a03849.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d6d/a04713.html">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d1/df9/a03665.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Client</p>
<p >Dont show action if menu is already opened</p>

<p class="definition">Definition at line <a class="el" href="../../d5/d63/a02123_source.html#l00043">43</a> of file <a class="el" href="../../d5/d63/a02123_source.html">expansionactionopenquestmenu.c</a>.</p>

</div>
</div>
<a id="ae8c0c26007ded7c2469234371f59ea38" name="ae8c0c26007ded7c2469234371f59ea38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8c0c26007ded7c2469234371f59ea38">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionOpenQuestMenu::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d63/a02123_source.html#l00022">22</a> of file <a class="el" href="../../d5/d63/a02123_source.html">expansionactionopenquestmenu.c</a>.</p>

</div>
</div>
<a id="a39a9b4e54607fb87b1412527b9744d9c" name="a39a9b4e54607fb87b1412527b9744d9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39a9b4e54607fb87b1412527b9744d9c">&#9670;&#160;</a></span>GetInputType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ExpansionActionOpenQuestMenu::GetInputType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d63/a02123_source.html#l00028">28</a> of file <a class="el" href="../../d5/d63/a02123_source.html">expansionactionopenquestmenu.c</a>.</p>

</div>
</div>
<a id="a0fb8337bd2a2ea489f82bfd9870b8f7c" name="a0fb8337bd2a2ea489f82bfd9870b8f7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fb8337bd2a2ea489f82bfd9870b8f7c">&#9670;&#160;</a></span>OnExecuteServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionOpenQuestMenu::OnExecuteServer </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d63/a02123_source.html#l00086">86</a> of file <a class="el" href="../../d5/d63/a02123_source.html">expansionactionopenquestmenu.c</a>.</p>

</div>
</div>
<a id="ac024168e5841d5fe929d9d25a82fd0ee" name="ac024168e5841d5fe929d9d25a82fd0ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac024168e5841d5fe929d9d25a82fd0ee">&#9670;&#160;</a></span>OnStartClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionOpenQuestMenu::OnStartClient </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d63/a02123_source.html#l00033">33</a> of file <a class="el" href="../../d5/d63/a02123_source.html">expansionactionopenquestmenu.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a0647d746ca00f5e09b19f9fdd681d141" name="a0647d746ca00f5e09b19f9fdd681d141"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0647d746ca00f5e09b19f9fdd681d141">&#9670;&#160;</a></span>m_Expansion_QuestModule</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d8/d0b/a06429.html">ExpansionQuestModule</a> ExpansionActionOpenQuestMenu::m_Expansion_QuestModule</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d63/a02123_source.html#l00015">15</a> of file <a class="el" href="../../d5/d63/a02123_source.html">expansionactionopenquestmenu.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Quests/Scripts/4_world/dayzexpansion_quests/classes/useractionscomponent/actions/interact/<a class="el" href="../../d5/d63/a02123_source.html">expansionactionopenquestmenu.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/de1/a06245.html">ExpansionActionOpenQuestMenu</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
